# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`githubreleases`](#githubreleases): Downloads release artifacts from Github

**Resource types**

* [`githubreleases_download`](#githubreleases_download): downloads release artifacts from Github

## Classes

### githubreleases

Downloads release artifacts from Github

#### Parameters

The following parameters are available in the `githubreleases` class.

##### `release`

Data type: `String`

The release or tag to download

Default value: 'latest'

##### `asset_filepattern`

Data type: `String`

A RegExp filepattern that the requested assed must patch

Default value: '.*'

##### `asset_contenttype`

Data type: `String`

A RegExp pattern of the requested content type of the asset

Default value: '.*'

##### `asset`

Data type: `Boolean`

Request the download of an asset

Default value: `false`

##### `asset_fallback`

Data type: `Boolean`

If asset can't be found, download a source tar- or zipball instead

Default value: `false`

##### `use_zip`

Data type: `Boolean`

Use a zipball instead of a tarball when requesting non-asset artifacts

Default value: `false`

##### `is_tag`

Data type: `Boolean`

The given release is a tag

Default value: `false`

##### `use_auth`

Data type: `Variant[Boolean, String]`

Authenticate with the GitHub API to circumvent rate limiting

Default value: `false`

##### `use_oauth`

Data type: `Variant[Boolean, String]`

Use OAuth authentication instead of basic authentication.

Default value: `false`

##### `author`

Data type: `Optional[String]`

Github author of the requested release

Default value: `undef`

##### `repository`

Data type: `Optional[String]`

Github repository of the requested release

Default value: `undef`

##### `username`

Data type: `Optional[String]`

GitHub username to use

Default value: ''

##### `password`

Data type: `Optional[String]`

GitHub password to use

Default value: ''

## Resource types

### githubreleases_download

downloads release artifacts from Github

#### Properties

The following properties are available in the `githubreleases_download` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

#### Parameters

The following parameters are available in the `githubreleases_download` type.

##### `target`

Target path to use (defaults to name of the ressource)

##### `release`

The release or tag to download

Default value: latest

##### `asset_filepattern`

A RegExp filepattern that the requested assed must patch

Default value: .*

##### `asset_contenttype`

A RegExp pattern of the requested content type of the asset

Default value: .*

##### `asset`

Valid values: `true`, `false`, yes, no

Request the download of an asset

Default value: `false`

##### `asset_fallback`

Valid values: `true`, `false`, yes, no

If asset can\'t be found, download a source tar- or zipball instead

Default value: `false`

##### `use_zip`

Valid values: `true`, `false`, yes, no

Use a zipball instead of a tarball when requesting non-asset artifacts

Default value: `false`

##### `is_tag`

Valid values: `true`, `false`, yes, no

The given release is a tag

Default value: `false`

##### `use_auth`

Valid values: `true`, `false`, yes, no

Authenticate with the GitHub API to circumvent rate limiting

Default value: `false`

##### `use_oauth`

Valid values: `true`, `false`, yes, no

Use OAuth authentication instead of basic authentication.

Default value: `false`

##### `author`

Github author of the requested release

##### `repository`

Github repository of the requested release

##### `username`

GitHub username to use

Default value: ''

##### `password`

GitHub password to use

Default value: ''

